[suggest] package for Net::MAC perl module

Dominik Gehl dgehl at inverse.ca
Wed Sep 17 21:19:40 CEST 2008


On 17-Sep-08, at 3:06 PM, Dag Wieers wrote:

> On Wed, 17 Sep 2008, Dominik Gehl wrote:
>
>> attached is a SPEC file for the latest version of DBIx::Class.
>
> The problem was not the SPEC file, the problem is that it requires  
> perl(Test::Builder) >= 0.33.

In fact, I found also an issue in the SPEC file ... if the two lines

Provides: perl(DBIx::Class::ClassResolver::PassThrough)
Provides: perl(DBIx::Class::Storage::TxnScopeGuard)

are not in the file, you can build the RPM but not install it since  
these are then missing dependencies.


> Did you try to build it ?

Yes :-)

> Because I am interested what satisfied this dependency for you. It  
> normally is satisfied by perl-Test-Builder-Tester, but that one has  
> problems of its own.
>
> If you have CPAN on your system, then it is important to realise we  
> cannot build against CPAN modules. All modules need to come from RPM.

I'll have a look and let you know

Dominik




More information about the users mailing list